Subject: [sipcore] Question regarding section 8.1.2 in 3261

From: Ofer Goren <[email-masked]>
Date: Wed, 24 Apr 2013 10:18:38 +0000

Hi All.
I have a question regarding section 8.1.2 in the 3261 (SIP) RFC.
The first paragraph says the following:
   The destination for the request is then computed.  Unless there is
   local policy specifying otherwise, the destination MUST be determined
   by applying the DNS procedures described in [4] as follows.  If the
   first element in the route set indicated a strict router (resulting
   in forming the request as described in Section 12.2.1.1), the
   procedures MUST be applied to the Request-URI of the request.
   Otherwise, the procedures are applied to the first Route header field
   value in the request (if one exists), or to the request's Request-URI
   if there is no Route header field present.  These procedures yield an
   ordered set of address, port, and transports to attempt.  Independent
   of which URI is used as input to the procedures of [4], if the
   Request-URI specifies a SIPS resource, the UAC MUST follow the
   procedures of [4] as if the input URI were a SIPS URI.

According to this, suppose I have client A calls client B using UDP, through a proxy. Client B answers 200OK with SIPS address in its CONTACT header. The proxy forwards the 200OK back to A, adding itself to the route set using record-route header, with "lr" parameter.
The ACK will be sent according to this: the request URI will be B's address, and the ROUTE header will include the address or the proxy.
The RFC states that regardless of the address of the proxy, the ACK should be sent using TLS transport, because B's address is SIPS.

What is the logic behind this? What if the proxy does not support TLS? Shouldn't security be hop to hop?

Thanks,
Ofer

---

From: "Shekh-Yusef, Rifaat (Rifaat)" <[email-masked]>
Date: Wed, 24 Apr 2013 12:15:44 +0000

Hi Oren,

RFC5630, which updated RFC3261, defines the proper handling of SIPS URI Scheme.
Take a look at FC5630, section 4.1 for an answer to your question below.

Regards,
Rifaat

From: [email-masked] [mailto:[email-masked]] On Behalf Of Ofer Goren
Sent: Wednesday, April 24, 2013 6:19 AM
To: [email-masked]
Subject: [sipcore] Question regarding section 8.1.2 in 3261

Hi All.

Thanks,
Ofer

---

From: "DRAGE, Keith (Keith)" <[email-masked]>
Date: Wed, 24 Apr 2013 14:13:32 +0000

You may want to read RFC 5630 as it updates some of the SIPs usage in RFC 3261, but also explains the justification behind some of the usage.

Keith

________________________________
From: [email-masked] [mailto:[email-masked]] On Behalf Of Ofer Goren
Sent: 24 April 2013 11:19
To: [email-masked]
Subject: [sipcore] Question regarding section 8.1.2 in 3261

Hi All.

Thanks,
Ofer